Bug 433464 - Crash while managing IMAP subscriptions
Summary: Crash while managing IMAP subscriptions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 10
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL: http:///
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-19 14:31 UTC by James Ettle
Modified: 2009-01-19 05:10 UTC (History)
1 user (show)

Fixed In Version: evolution-2.24.3-1.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-19 05:10:48 UTC


Attachments (Terms of Use)
Bug Buddy report from the crash. (8.90 KB, text/plain)
2008-02-19 14:31 UTC, James Ettle
no flags Details
Evolution crash log, now including glib2 debug info (11.31 KB, text/plain)
2008-02-20 16:04 UTC, James Ettle
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 558337 None None None Never

Description James Ettle 2008-02-19 14:31:26 UTC
Description of problem:
Evolution crashes if I quickly uncheck and check a folder in my IMAP
subscriptions while it s still refreshing the list.

Version-Release number of selected component  if applicable :
evolution-2.12.3-1.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Choose an IMAP account.
2. Go to manage its subscriptions.
3. Uncheck then check a folder while the refresh bar is still pulsing.
  
Actual results:
Evolution crashes.

Expected results:
Folder unchecks and then checks without crash.

Additional info:
Bug Buddy report attached.

Comment 1 James Ettle 2008-02-19 14:31:26 UTC
Created attachment 295287 [details]
Bug Buddy report from the crash.

Comment 2 Matthew Barnes 2008-02-20 15:52:49 UTC
James, the Bug Buddy report is missing debugging symbols.  Can you please
install the following debuginfo packages, reproduce the crash and post a new report?

    evolution-debuginfo
    evolution-data-server-debuginfo
    glib2-debuginfo

Comment 3 James Ettle 2008-02-20 16:04:13 UTC
Created attachment 295428 [details]
Evolution crash log, now including glib2 debug info

Comment 4 Matthew Barnes 2008-02-20 16:34:50 UTC
Thanks, that looks better.  Looks like a bug in Evolution's concurrent message
passing.  It's trying to invoke a NULL function pointer.  Will have to try to
reproduce this one for myself.

Comment 5 James Ettle 2008-02-20 23:49:03 UTC
Could be the return of Bug 206349?

Comment 6 James Ettle 2008-05-17 10:03:41 UTC
Still present in release evolution-2.12.3-4.fc8.

Comment 7 James Ettle 2008-11-11 13:41:50 UTC
Bug still exists in evolution-2.22.3.1-1.fc9.x86_64 (evolution-data-server-2.22.3-2.fc9.x86_64).

Comment 8 James Ettle 2008-11-26 00:07:31 UTC
Still present in evolution-2.24.1-2.fc10.i386.

Comment 9 Bug Zapper 2008-11-26 09:52:04 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 James Ettle 2009-01-08 17:18:48 UTC
Has there been any progress on fixing this one? Wouldn't simply disabling the folder list until it has been completely populated suffice?

Comment 11 Milan Crha 2009-01-09 10:31:07 UTC
There has been done a fix in upstream bug [1], which will be included in the next update of Evolution (within a week or so).

[1] http://bugzilla.gnome.org/show_bug.cgi?id=558337

Comment 12 James Ettle 2009-01-09 10:57:16 UTC
Great to hear it, I'll keep an eye out for the update on Koji.

Comment 13 James Ettle 2009-01-18 20:47:43 UTC
Fixed for me in evolution-2.24.3-1.fc10.x86_64.

Comment 14 Matthew Barnes 2009-01-19 05:10:48 UTC
Thanks for the update.  Closing as CURRENTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.